---
description: Typst's tutorial.
---

# Tutorial
Welcome to Typst's tutorial! In this tutorial, you will learn how to write and
format documents in Typst. We will start with everyday tasks and gradually
introduce more advanced features. This tutorial does not assume prior knowledge
of Typst, other Markup languages, or programming. We do assume that you know how
to edit a text file.

The best way to start is to open the Typst app and follow along with the
steps below. Do not have preview access yet?
[Sign up for the wait list](https://typst.app).

## When to use Typst
Before we get started, let's check what Typst is and when to use it. Typst is a
markup language for typesetting documents. It is designed to be easy to learn,
fast, and versatile. Typst takes text files with markup in them and outputs
PDFs.

Typst is a good choice for writing any long form text such as essays, articles,
scientific papers, books, reports, and homework assignments. Moreover, Typst is
a great fit for any documents containing mathematical notation, such as papers
in the math, physics, and engineering fields. Finally, due to its strong styling
and automation features, it is an excellent choice for any set of documents that
share a common style, such as a book series.

## How to get access to Typst
Starting December 26th, 2022, we are conducting a closed infrastructure test
into which we invite a small number of people from our wait list. A few months
later we will start a public beta of our web app and open source Typst
(currently planned for March of 2023).

At that point, we will also give you the option to download a local command line
compiler for Typst. This way, you can always compile your documents
independently from our web app. Still, the web app offers many useful feature
like live preview, autocompletion and collaboration for teams.

## What you will learn
This tutorial has four chapters. Each chapter builds on the previous one. Here is
what you will learn in each of them:

1. [Writing in Typst:]($tutorial/writing-in-typst) Learn how to write text and
   insert images, equations, and other elements.
2. [Formatting:]($tutorial/formatting) Learn how to adjust the formatting
   of your document, including font size, heading styles, and more.
3. [Advanced Styling:]($tutorial/advanced-styling) Create a complex page
   layout for a scientific paper with typographic features such as an author
   list and run-in headings.
4. [Making a Template:]($tutorial/making-a-template) Build a reusable template
   from the paper you created in the previous chapter.

We hope you'll enjoy Typst!
